Bug 146955 - Eclipse follows symlinks for classpath libaries
Eclipse follows symlinks for classpath libaries
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 17:59 EST by Ben Konrath
Modified: 2008-04-03 15:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 15:00:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Konrath 2005-02-02 17:59:11 EST
Eclipse follows symlinks for classpath libaries but probably shouldn't. This
could potentially cause a problem with the alternatives system and requires the
src.zip for the classpath to be placed in /usr/share/java instead of
/usr/lib/jvm/java-1.4.2-gcj4-1.4.2.0/.
Comment 1 Andrew Overholt 2005-05-03 23:20:15 EDT
Is this a libgcj bug?
Comment 2 Ben Konrath 2005-05-03 23:45:38 EDT
I can't really remember the details around this, so I'll have to re-investigate.
IMO, I think this is a priority problem so I'm going to mark it as such. Feel
free to change the priority back if you don't agree.
Comment 3 Andrew Overholt 2005-12-12 15:37:35 EST
Using subclipse, I just got an error because the "Eclipse path" and some other
path didn't match (/home/cygnus/overholt/... vs /home/overholt).  Is this the
same issue or is that a bug in subclipse?
Comment 4 Ben Konrath 2005-12-16 15:05:29 EST
It might be the same issue, I'd have to look investigate to be sure.
Comment 5 Bug Zapper 2008-04-03 11:51:33 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.